# nu_plugin_kcl

This is a [Nushell](https://nushell.sh/) plugin called "kcl".

## Installing

```nushell
> cargo install --path .
```

## Usage

FIXME: This reflects the demo functionality generated with the template. Update this documentation
once you have implemented the actual plugin functionality.

```nushell
> plugin add ~/.cargo/bin/nu_plugin_kcl
> plugin use kcl
> kcl-exec Ellie
Hello, Ellie. How are you today?
> kcl-exec --shout Ellie
HELLO, ELLIE. HOW ARE YOU TODAY?
```
